Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7850 - /etc/shadow entry for xfs appears incorrect
Summary: /etc/shadow entry for xfs appears incorrect
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-16 19:50 UTC by mcwst18
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-14 17:43:21 UTC


Attachments (Terms of Use)

Description mcwst18 1999-12-16 19:50:41 UTC
I find the following line in /etc/shadow on our three Red Hat
installations:

xfs:!!:10802:0:99999:7:::

Why is the password entry set to '!!' rather than '*'?  If the shadow(5)
man page is correct, either will not allow logins (since it must be 13 to
24 characters long to be decrypted), but it still appears wrong.

Thank you for your time.

Comment 1 Preston Brown 2000-01-14 17:43:59 UTC
this is what adduser uses as a disable-flag.  It works fine and is correct.


Note You need to log in before you can comment on or make changes to this bug.